import { world, BlockPermutation } from "@minecraft/server" ;
import {ids} from './octon_ids.js'

function getRotaion(player) {
  let angle = player.getRotation().y + 180
  const degree = 360 / 16;
  angle += degree / 2;
  for (let i = 0; i < 16; i++) {
    if (angle >= (i * degree) && angle < (i + 1) * degree) return i;
  }
  return 0;
}

world.afterEvents.playerPlaceBlock.subscribe(({block, player}) => {
	for (const id of ids) {
		if (block.permutation.matches(id)) {
			block.setPermutation(BlockPermutation.resolve(id, { "generic:rotation": getRotaion(player)})); return
		}
	}
})